#ifndef XMLPARSER_H
#define XMLPARSER_H

#include <QtXml>
#include <QTreeView>
#include <QStandardItemModel>
#include <QStandardItem>

class XmlParser : public QTreeView
{
    Q_OBJECT

private:    //fields
    QStandardItemModel* f_stdItemModel;
    QStandardItem *f_parentItem;
    QStandardItem *f_techItem;
    QList<QStandardItem*> f_rootList;
    QStringList f_directoryList;
private:    //methods
    void traverseNode(const QDomNode& p_dNode, QStandardItem* p_item_ptr);

public:     //methods
    XmlParser(QWidget* p_parent = 0);

public slots:
    void sltLoad();
    void sltDropAll();
    QList<QStandardItem*>* sltGetRootList();
    void sltSetCurrentRoot();
};

#endif // XMLPARSER_H
